%global debug_package %{nil}

Name:           ocaml-ptmap
Version:        2.0.4
Release:        1%{?dist}
Summary:        Maps over integers implemented as Patricia trees

License:        LGPLv2+ with exceptions
URL:            https://github.com/backtracking/ptmap
Source0:        https://github.com/backtracking/ptmap/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-obuild
BuildRequires:  ocaml-qtest
BuildRequires:  ocaml-qcheck-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-ocamldoc

%description
OCaml implementation of an efficient maps over integers,
from a paper by Chris Okasaki.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n ptmap-%{version}


%build
obuild configure --enable-tests
make unit_tests.ml
obuild build
obuild build lib-ptmap
make doc


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
obuild install --destdir $OCAMLFIND_DESTDIR

%check
obuild test --output


%files
%license LICENSE
%{_libdir}/ocaml/ptmap
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/ptmap/*.a
%exclude %{_libdir}/ocaml/ptmap/*.cmxa
%exclude %{_libdir}/ocaml/ptmap/*.cmx
%endif


%files devel
%doc doc/*
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/ptmap/*.a
%{_libdir}/ocaml/ptmap/*.cmxa
%{_libdir}/ocaml/ptmap/*.cmx
%endif


%changelog
* Wed Aug 01 2018 Andy Li <andy@onthewings.net> - 2.0.4-1
- New upstream version (RHBZ#1610325).
- Fix OCaml 4.07 compatibility (RHBZ#1605283).
- Remove patch, which was merged in upstream.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 22 2017 Andy Li <andy@onthewings.net> - 2.0.3-1
- Initial RPM release.
